Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Add the onboarding example note

POST
/api/v1/saga/onboarding/demo-note
curl --request POST \
--url https://api.yggy.tech/api/v1/saga/onboarding/demo-note \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "locale": "en" }'

Creates one marked example note from what yggy recognised in the caller’s newest own note, in the given language. Returns the existing example note when there is one.

Media type application/json
object
locale
required
string
Allowed values: en de

The example note

Media type application/json
object
noteId
required
string
created
required
boolean
Example generated
{
"noteId": "example",
"created": true
}

Nothing recognised yet

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}

Not a yggy notes workspace

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}

Another request is creating the example note right now

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}